// gnome.xonotic.in.ua

models/mapobjects/el_tele/beam
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	q3map_lightimage models/mapobjects/el_tele/beam.tga
	q3map_surfacelight 800
	{
		map models/mapobjects/el_tele/beam.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
		tcmod scroll 0 1
	}
	{
		map models/mapobjects/el_tele/beam_fx2.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
	}
	{
		map models/mapobjects/el_tele/beam_fx.tga
		blendfunc add
		rgbgen wave sin 0 1 0 1
		tcmod scroll 0 2
	}
}

models/mapobjects/el_tele/el_tele
{
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map models/mapobjects/el_tele/el_tele.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map models/mapobjects/el_tele/el_tele_blend.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1
	}
}

textures/amethyst7/purplenebula/purplenebula_skybox
{
	qer_editorimage textures/amethyst7/purplenebula/purplenebula
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1.00 0.90 1.00 70 90 90
	q3map_surfacelight 70
	skyparms env/amethyst7/purplenebula/purplenebula - -
}

textures/base_light/light1_3000
{
	qer_editorimage textures/base_light/light1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/nnk05/metal_rustygrate
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/nnk05/metal_rustygrate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/nnk4/ban2
{
	{
		map textures/nnk4/ban2.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/nnk4/ban12lum.tga
		blendfunc add
	}
}

textures/nnk4/bumptex
{
	surfaceparm nodamage
	q3map_lightimage textures/nnk4/bumplum1.tga
	q3map_surfacelight 400
	{
		map textures/nnk4/bumptex.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/nnk4/bumprond.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/nnk4/bumplum1.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		tcmod rotate 1000
		rgbgen wave triangle .5 .5 .25 1.5
	}
}

textures/nnk4/glass1
{
	qer_editorimage textures/base_wall/chrome_metal.tga
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	{
		map textures/base_wall/chrome_metal.tga
		blendfunc add
		rgbgen identity
		tcgen environment
	}
}

textures/nnk4/launchbleu
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/nnk4/launchbleu.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/nnk4/launchligne.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		map textures/nnk4/launcheff.tga
		blendfunc gl_src_alpha gl_one
		tcmod scroll 0 2
		rgbgen wave square 0 1 0 2
		alphagen wave square 0 1 .1 2
	}
}

textures/nnk4/metbri
{
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/nnk4/metbri.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
	{
		map textures/nnk4/telemat3.tga
		blendfunc add
		tcmod scale 0.5 0.3
		tcmod scroll -1 1
	}
}

textures/nnk4/telemat
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/nnk4/telemat.tga
		blendfunc add
		tcmod scale 3 1
		tcmod scroll 1 -1
	}
	{
		map textures/nnk4/telemat2.tga
		blendfunc add
		tcmod scale 0.5 0.3
		tcmod scroll -1 1
	}
}

textures/sfx/teslacoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga
	q3map_surfacelight 100
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
}

